Bug 556684 - validations errors are ot displayed in output
validations errors are ot displayed in output
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 23:17 EST by Jeff Fearn
Modified: 2010-11-23 23:18 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-31 20:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2010-01-18 23:17:08 EST
Description of problem:
when there is an xml validation error the error content is not output to the display.

Version-Release number of selected component (if applicable):
1.3

How reproducible:
always

Steps to Reproduce:
1. make a book
2. make some invalid XML
3. build the book
  
Actual results:
Validation failed: 
  at /usr/bin/publican line 462

Expected results:
Validation failed: 
   <WHY>

Additional info:
Comment 1 Jeff Fearn 2010-01-18 23:25:54 EST
Changed method for displaying validation error content.

Workaround: Use the following 2 step process

$ publican build --langs en-US --formats test
$ xmllint --postvalid --noout --xinclude tmp/en-US/xml/<main_xml_file>.xml
Comment 2 Fedora Update System 2010-01-28 21:05:51 EST
publican-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc12
Comment 3 Fedora Update System 2010-01-28 21:07:08 EST
publican-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc11
Comment 4 Fedora Update System 2010-01-31 20:14:00 EST
publican-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-01-31 20:22:19 EST
publican-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.